<?php
/**
 * ProductGroupTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CmsClient;

use PHPUnit\Framework\TestCase;

/**
 * ProductGroupTest Class Doc Comment
 *
 * @category    Class
 * @description ProductGroup
 * @package     Ensi\CmsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class ProductGroupTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "ProductGroup"
     */
    public function testProductGroup()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "preview_photo"
     */
    public function testPropertyPreviewPhoto()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "active"
     */
    public function testPropertyActive()
    {
    }

    /**
     * Test attribute "is_shown"
     */
    public function testPropertyIsShown()
    {
    }

    /**
     * Test attribute "type_id"
     */
    public function testPropertyTypeId()
    {
    }

    /**
     * Test attribute "banner_id"
     */
    public function testPropertyBannerId()
    {
    }

    /**
     * Test attribute "category_code"
     */
    public function testPropertyCategoryCode()
    {
    }

    /**
     * Test attribute "filters"
     */
    public function testPropertyFilters()
    {
    }

    /**
     * Test attribute "products"
     */
    public function testPropertyProducts()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }

    /**
     * Test attribute "banner"
     */
    public function testPropertyBanner()
    {
    }
}
